Subject: Re: 23.0.60; comint-dynamic-complete should correct the case of the completed name

From: Chong Yidong <[email-masked]>
Date: Tue, 26 Aug 2008 19:52:00 -0400

> I've got read-file-name-completion-ignore-case set to t, and in a
> *shell* buffer I just typed
>
>         cd art TAB
>
> Now, there's a subdirectory called Artemis2, and so the TAB caused
> completion, so that my input line now looks like
>
>         $ cd artemis2/
>
> The problem, though, is that the "cd" command fails, because the file
> system is case-sensitive, and thus "artemis2" is not the same as
> "Artemis2".

I've checked in a fix.  Could you give current CVS trunk a test?